Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QLatin1Char Class Reference

The QLatin1Char class provides an 8-bit ASCII/Latin-1 character. More...

     #include <QLatin1Char>

- List of all members, including inherited members

## Public Functions

| QLatin1Char ( char c )
char | toLatin1 () const
ushort | unicode () const

## Detailed Description

The QLatin1Char class provides an 8-bit ASCII/Latin-1 character.

This class is only useful to avoid the codec for C strings business in the QChar(ch) constructor. You can avoid it by writing QChar(ch, 0).

See also QChar, QLatin1String, and QString.

## Member Function Documentation

### QLatin1Char::QLatin1Char ( char c )

Constructs a Latin-1 character for c. This constructor should be used when the encoding of the input character is known to be Latin-1.

### char QLatin1Char::toLatin1 () const

Converts a Latin-1 character to an 8-bit ASCII representation of the character.

### ushort QLatin1Char::unicode () const

Converts a Latin-1 character to an 16-bit-encoded Unicode representation of the character.